Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: martin rudalics <[email-masked]>
Date: Wed, 24 Oct 2018 11:44:19 +0200

> I donʼt understand how this could be Vivek's issue in any case: this
 > particular problem existed already in emacs-26.

I slowly begin to understand the issue.  The vertical scroll bar shows
up as soon as the menu bar window gets high enough to make the slider
fit.  Is that correct?  One thing I do not understand then: Do we
really call xg_update_scrollbar_pos for the menu bar's scroll bar?  If
so, how?  IIUC the scroll bar code is oblivious to menu bar windows.

 > Now the vertical scrollbar on the right of the menubar, *that* might
 > be Vivek's to solve (presumably thereʼs a need to tell the menubar
 > widget not to add that scrollbar).

Agreed.

martin